<div>
    <h2 id="page-heading">
        <span jhiTranslate="apiformationApp.compte.home.title">Comptes</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-compte" [routerLink]="['/compte/new']">
            <fa-icon icon="plus"></fa-icon>
            <span  jhiTranslate="apiformationApp.compte.home.createLabel">
            Create a new Compte
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="comptes?.length === 0">
        <span jhiTranslate="apiformationApp.compte.home.notFound">No comptes found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="comptes && comptes.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="loadPage.bind(this)">
                    <th scope="col"  jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="nom"><span jhiTranslate="apiformationApp.compte.nom">Nom</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="numero"><span jhiTranslate="apiformationApp.compte.numero">Numero</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="solde"><span jhiTranslate="apiformationApp.compte.solde">Solde</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="clientId"><span jhiTranslate="apiformationApp.compte.client">Client</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let compte of comptes ;trackBy: trackId">
                    <td><a [routerLink]="['/compte', compte.id, 'view']">{{ compte.id }}</a></td>
                    <td>{{ compte.nom }}</td>
                    <td>{{ compte.numero }}</td>
                    <td>{{ compte.solde }}</td>
                    <td>
                        <div *ngIf="compte.clientId">
                            <a [routerLink]="['/client', compte.clientId , 'view']" >{{ compte.clientId }}</a>
                        </div>
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/compte', compte.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/compte', compte.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(compte)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>

    <div *ngIf="comptes && comptes.length > 0">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>

        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="ngbPaginationPage" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage($event)"></ngb-pagination>
        </div>
    </div>
</div>
